
#include "TDirectory.h"

#include "CData.hh"

ClassImp(CData)

CData::CData() : TNamed(), fEventFlag(0)
{;}

CData::CData(const char* name, const char* title) : TNamed(name, title), fEventFlag(0)
{;}

CData::CData(const TString& name, const TString& title) : TNamed(name, title), fEventFlag(0)
{;}

CData::CData(const CData& data) : TNamed(data), fEventFlag(data.fEventFlag)
{;}

CData& CData::operator=(const CData& rhs)
{
  if(this != &rhs){
    TNamed::operator=(rhs);
    fEventFlag = rhs.fEventFlag;
  }
  return *this;
}

CData::~CData()
{;}

void CData::Reset()
{
  fEventFlag = 0;
}
