//
#include <iostream>

#include "CDataHime.hh"

CDataHime::CDataHime() : CData(), fDequeOfOneData()
{;}

CDataHime::CDataHime(const char* name, const char* title) : CData(name, title),
							     fDequeOfOneData()
{;}

CDataHime::CDataHime(const TString& name, const TString& title) : CData(name, title),
								   fDequeOfOneData()
{;}

CDataHime::CDataHime(const CDataHime &rhs) : CData(),
				       fDequeOfOneData(rhs.fDequeOfOneData)
{;}

CDataHime& CDataHime::operator=(const CDataHime &rhs)
{
  fDequeOfOneData = rhs.fDequeOfOneData;
  return *this;
}

CDataHime::~CDataHime()
{;}

CDataHime::OneData* CDataHime::Find(Int_t idmother, Int_t id)
{
  std::deque<CDataHime::OneData>::iterator it = fDequeOfOneData.begin();  
  while(it != fDequeOfOneData.end()){
    if(it->fIdMother == idmother && it->fId == id) return &(*it);
    ++it;
  }

  return 0;
}

void CDataHime::OneData::Print()
{
  std::cout << "  MothercopyNo.:" << fIdMother << std::endl
	    << "  copyNo.:" << fId << std::endl
	    << "  Particle Name:" << fName << std::endl
	    << "  Absolute Time:" << fTime << std::endl
	    << "  Energy Deposit:" << fEdep << std::endl
    //	   << "  Absolute Time:" << fTime/ns << "(nsec)" << std::endl
    //	   << "  Energy Deposit:" << fEdep/MeV << "(MeV)" << std::endl
	    << std::endl;
}

void CDataHime::Reset()
{
  CData::Reset();
  fDequeOfOneData.clear();
}
