#ifndef NMADOKA_HH
#define NMADOKA_HH

#include <string>
#include <vector>

#include "TFile.h"
#include "TTree.h"

class TBranch;
class TObject;

class NMadoka
{
private:
  //cannot instantiate this class
  NMadoka(){;}
  ~NMadoka(){;}

public:
  static TFile* CreateFile(std::string filename, std::string option = "");
  static TTree* CreateTree(std::string treename, std::string title);
  template <class T>
  static TBranch* CreateBranch(std::string branchname, T* obj, std::string treename);  
  static TObject* FindObject(std::string name);
  static void Fill(std::string treename);
  static void Write();

private:
  static TFile* GetFile();
  static TTree* GetTree(std::string treename);
};

template <class T>
inline TBranch* NMadoka::CreateBranch(std::string branchname, T* obj, std::string treename)  
{
  TTree* tree = GetTree(treename);
  TBranch* branch = 0;

  T** pt = new T*(obj);

  if(tree){
    branch = tree->Branch(branchname.c_str(), pt, 32000, 0);
    //    branch = tree->Branch(branchname.c_str(), pt, 32000, 1);
    //    branch = tree->Branch(branchname.c_str(), pt);
    GetFile()->Append(obj);
  }else{
    std::cout << treename << " doesn't exist" << std::endl;    
  }

  return branch;
}

#endif
